import 'kameleoon_client.dart';

class KameleoonClientFactory {
  static final Map<String, KameleoonClient> _clients = {};

  // Create or return the instance of KameleoonClient depending of the siteCode
  static KameleoonClient? create(String siteCode) {
    if (!_clients.containsKey(siteCode)) {
      var instance = KameleoonClient(siteCode);
      _clients[siteCode] = instance;
    }
    return _clients[siteCode];
  }
}
